CREATE TABLE envelope_storage_data (
    envelope_id uuid NOT NULL,
    fragment_id char(64) NOT NULL,
    findex INTEGER,
    data BYTEA NOT NULL
);

CREATE UNIQUE INDEX envelope_storage_data_pkey ON envelope_storage_data
    (envelope_id, fragment_id);

CREATE INDEX envelope_storage_data_findex ON envelope_storage_data
    (envelope_id, findex);

CREATE TABLE envelope_storage (
    id SERIAL PRIMARY KEY,
    envelope_id uuid NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    status character varying(255) NOT NULL,
    findex INTEGER,
    validator JSON
);

CREATE UNIQUE INDEX envelope_storage_envelope_id ON envelope_storage
    (envelope_id);


ALTER TABLE process
    DROP CONSTRAINT process_trigger_envelope_id_fkey;
